Index: trunk/source/Lib/TLibCommon/TComTrQuant.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComTrQuant.h	(revision 56)
+++ trunk/source/Lib/TLibCommon/TComTrQuant.h	(revision 296)
@@ -89,5 +89,4 @@
   Int m_iBits;
     
-#if H0736_AVC_STYLE_QP_RANGE
   Void setQpParam( Int qpScaled, Bool bLowpass, SliceType eSliceType )
   {
@@ -97,19 +96,4 @@
     m_iBits = QP_BITS + m_iPer;
   }
-#else
-  Void setQpParam( Int iQP, Bool bLowpass, SliceType eSliceType )
-  {
-    assert ( iQP >= MIN_QP && iQP <= MAX_QP );
-    m_iQP   = iQP;
-    
-    m_iPer  = (iQP + 6*g_uiBitIncrement)/6;
-#if FULL_NBIT
-    m_iPer += g_uiBitDepth - 8;
-#endif
-    m_iRem  = iQP % 6;
-    
-    m_iBits = QP_BITS + m_iPer;
-  }
-#endif
   
   Void clear()
@@ -165,9 +149,5 @@
   
   // Misc functions
-#if H0736_AVC_STYLE_QP_RANGE
   Void setQPforQuant( Int qpy, Bool bLowpass, SliceType eSliceType, TextType eTxtType, Int qpBdOffset, Int chromaQPOffset);
-#else
-  Void setQPforQuant( Int iQP, Bool bLowpass, SliceType eSliceType, TextType eTxtType, Int Shift);
-#endif
 
 #if RDOQ_CHROMA_LAMBDA 
@@ -192,17 +172,6 @@
                                        const UInt                       uiCGPosX,
                                        const UInt                       uiCGPosY,
-#if MULTILEVEL_SIGMAP_EXT
                                        const UInt                     scanIdx,
-#endif
                                        Int width, Int height);
-#if !REMOVE_INFER_SIGGRP  
-  static Bool bothCGNeighboursOne  ( const UInt*                      uiSigCoeffGroupFlag,
-                                    const UInt                       uiCGPosX,
-                                    const UInt                       uiCGPosY,
-#if MULTILEVEL_SIGMAP_EXT
-                                    const UInt                       scanIdx,
-#endif
-                                    Int width, Int height);
-#endif
   Void initScalingList                      ();
   Void destroyScalingList                   ();
@@ -259,7 +228,5 @@
   Void xT   ( UInt uiMode,Pel* pResidual, UInt uiStride, Int* plCoeff, Int iWidth, Int iHeight );
   
-#if MULTIBITS_DATA_HIDING
   Void signBitHidingHDQ( TComDataCU* pcCU, TCoeff* pQCoef, TCoeff* pCoef, UInt const *scan, Int* deltaU, Int width, Int height );
-#endif
 
   // quantization
@@ -298,8 +265,6 @@
                                              UShort                          ui16CtxNumAbs,
                                              UShort                          ui16AbsGoRice,
-#if RESTRICT_GR1GR2FLAG_NUMBER
                                              UInt                            c1Idx,  
                                              UInt                            c2Idx,  
-#endif
                                              Int                             iQBits,
                                              Double                          dTemp,
@@ -309,20 +274,14 @@
                                      UShort                          ui16CtxNumAbs,
                                      UShort                          ui16AbsGoRice 
-#if RESTRICT_GR1GR2FLAG_NUMBER
                                    , UInt                            c1Idx,
                                      UInt                            c2Idx
-#endif
                                      ) const;
-#if MULTIBITS_DATA_HIDING
 __inline Int xGetICRate  ( UInt                            uiAbsLevel,
                            UShort                          ui16CtxNumOne,
                            UShort                          ui16CtxNumAbs,
                            UShort                          ui16AbsGoRice
-#if RESTRICT_GR1GR2FLAG_NUMBER
                          , UInt                            c1Idx,
                            UInt                            c2Idx
-#endif
                          ) const;
-#endif
   __inline Double xGetRateLast     ( const UInt                      uiPosX,
                                      const UInt                      uiPosY,
